clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::RecordInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::RecordInfo:
[legend]
Collaboration diagram for clang::doc::RecordInfo:
[legend]

## Public Member Functions
| RecordInfo ()
| RecordInfo (SymbolID USR)
| RecordInfo (SymbolID USR, StringRef Name)
| RecordInfo (SymbolID USR, StringRef Name, StringRef Path)
void | merge (RecordInfo &&I)
Public Member Functions inherited from clang::doc::SymbolInfo
| SymbolInfo (InfoType IT)
| SymbolInfo (InfoType IT, SymbolID USR)
| SymbolInfo (InfoType IT, SymbolID USR, StringRef Name)
| SymbolInfo (InfoType IT, SymbolID USR, StringRef Name, StringRef Path)
void | merge (SymbolInfo &&I)
Public Member Functions inherited from clang::doc::Info
| Info ()=default
| Info (InfoType IT)
| Info (InfoType IT, SymbolID USR)
| Info (InfoType IT, SymbolID USR, StringRef Name)
| Info (InfoType IT, SymbolID USR, StringRef Name, StringRef Path)
| Info (const Info &Other)=delete
| Info (Info &&Other)=default
virtual | ~Info ()=default
void | mergeBase (Info &&I)
bool | mergeable (const Info &Other)
llvm::SmallString< 16 > | extractName () const
llvm::Expected< Reference > | getEnclosingScope ()

## Public Attributes
TagTypeKind | TagType = TagTypeKind::TTK_Struct
bool | IsTypeDef = false
llvm::SmallVector< MemberTypeInfo, 4 > | Members
llvm::SmallVector< Reference, 4 > | Parents
llvm::SmallVector< Reference, 4 > | VirtualParents
std::vector< BaseRecordInfo > | Bases
std::vector< Reference > | ChildRecords
std::vector< FunctionInfo > | ChildFunctions
std::vector< EnumInfo > | ChildEnums
Public Attributes inherited from clang::doc::SymbolInfo
llvm::Optional< Location > | DefLoc
llvm::SmallVector< Location, 2 > | Loc
Public Attributes inherited from clang::doc::Info
SymbolID | USR
const InfoType | IT = InfoType::IT_default
SmallString< 16 > | Name
llvm::SmallVector< Reference, 4 > | Namespace
std::vector< CommentInfo > | Description
llvm::SmallString< 128 > | Path

## Detailed Description

Definition at line 327 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ RecordInfo() [1/4]

clang::doc::RecordInfo::RecordInfo | ( |  | ) |
| inline

Definition at line 328 of file Representation.h.

## ◆ RecordInfo() [2/4]

clang::doc::RecordInfo::RecordInfo | ( | SymbolID | USR | ) |
| inline

Definition at line 329 of file Representation.h.

## ◆ RecordInfo() [3/4]

clang::doc::RecordInfo::RecordInfo | ( | SymbolID | USR,
|  | StringRef | Name
| ) |  |
| inline

Definition at line 330 of file Representation.h.

## ◆ RecordInfo() [4/4]

clang::doc::RecordInfo::RecordInfo | ( | SymbolID | USR,
|  | StringRef | Name,
|  | StringRef | Path
| ) |  |
| inline

Definition at line 332 of file Representation.h.

## Member Function Documentation

## ◆ merge()

void clang::doc::RecordInfo::merge | ( | RecordInfo && | I | ) |

Definition at line 175 of file Representation.cpp.

References clang::doc::SymbolInfo::merge(), and clang::doc::Reference::mergeable().

## Member Data Documentation

## ◆ Bases

std::vector<BaseRecordInfo> clang::doc::RecordInfo::Bases

Definition at line 350 of file Representation.h.

Referenced by clang::doc::addChild(), clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::serialize::parseBases(), and llvm::yaml::RecordInfoMapping().

## ◆ ChildEnums

std::vector<EnumInfo> clang::doc::RecordInfo::ChildEnums

Definition at line 358 of file Representation.h.

Referenced by clang::doc::addChild(), clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::RecordInfoMapping().

## ◆ ChildFunctions

std::vector<FunctionInfo> clang::doc::RecordInfo::ChildFunctions

Definition at line 357 of file Representation.h.

Referenced by clang::doc::addChild(), clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::serialize::parseBases(), and llvm::yaml::RecordInfoMapping().

## ◆ ChildRecords

std::vector<Reference> clang::doc::RecordInfo::ChildRecords

Definition at line 356 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::RecordInfoMapping().

## ◆ IsTypeDef

bool clang::doc::RecordInfo::IsTypeDef = false

Definition at line 340 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock().

## ◆ Members

llvm::SmallVector<MemberTypeInfo, 4> clang::doc::RecordInfo::Members

Definition at line 342 of file Representation.h.

Referenced by clang::doc::addTypeInfo(), clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::RecordInfoMapping().

## ◆ Parents

llvm::SmallVector<Reference, 4> clang::doc::RecordInfo::Parents

Definition at line 343 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::serialize::parseBases(), and llvm::yaml::RecordInfoMapping().

## ◆ TagType

TagTypeKind clang::doc::RecordInfo::TagType = TagTypeKind::TTK_Struct

Definition at line 337 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::RecordInfoMapping().

## ◆ VirtualParents

llvm::SmallVector<Reference, 4> clang::doc::RecordInfo::VirtualParents

Definition at line 347 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::serialize::parseBases(), and llvm::yaml::RecordInfoMapping().

The documentation for this struct was generated from the following files:

- Representation.h
- Representation.cpp